//
//  PizarraModel.swift
//  Pizarra
//
//  Created by Santiago Pavón on 10/6/15.
//  Copyright (c) 2015 UPM. All rights reserved.
//

import Foundation

class PizarraModel {
    
    var path = [Point]();
    
    func count() -> Int {
        return path.count
    }
    
    subscript(index:Int) -> Point {
        return path[index]
    }
    
    func add(p:Point) {
        path.append(p)
    }
    
    func clean() {
        path.removeAll(keepCapacity: false)
    }
}